<?xml version="1.0" encoding="UTF-8"?>
<rss xmlns:content="http://purl.org/rss/1.0/modules/content/" xmlns:clearspace="http://www.jivesoftware.com/xmlns/clearspace/rss" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:wfw="http://wellformedweb.org/CommentAPI/" xmlns:opensearch="http://a9.com/-/spec/opensearch/1.1/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:taxo="http://purl.org/rss/1.0/modules/taxonomy/" version="2.0">
  <channel>
    <title>VMware Communities: Message List - How to modify Fusion network settings whitepaper</title>
    <link>http://communities.vmware.com/community/vmtn/desktop/fusion?view=discussions</link>
    <description>Most recent forum messages</description>
    <language>en</language>
    <pubDate>Tue, 17 Nov 2009 01:36:39 GMT</pubDate>
    <generator>Clearspace 1.10.12 (http://jivesoftware.com/products/clearspace/)</generator>
    <dc:date>2009-11-17T01:36:39Z</dc:date>
    <dc:language>en</dc:language>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/1418671?tstart=0#1418671</link>
      <description>&lt;br /&gt;
Check out this previous thread:  &lt;br /&gt;
&lt;a class="jive-link-external" href="http://communities.vmware.com/thread/108167?start=120&amp;#38;tstart=0"&gt;http://communities.vmware.com/thread/108167?start=120&amp;#38;tstart=0&lt;/a&gt;&lt;br /&gt;
&lt;br /&gt;
DaveP posted tools for Fusion 3.0, post #127 &lt;br /&gt;
&lt;br /&gt;
Rick</description>
      <pubDate>Tue, 17 Nov 2009 01:36:39 GMT</pubDate>
      <author>rdgadget</author>
      <guid>http://communities.vmware.com/message/1418671?tstart=0#1418671</guid>
      <dc:date>2009-11-17T01:36:39Z</dc:date>
      <clearspace:dateToText>5 days, 16 hours ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/1418567?tstart=0#1418567</link>
      <description>Anybody figure out how to modify settings and add interfaces on VMware Fusion 3 yet? There doesn't seem to be a vmware-config-net.pl anymore.</description>
      <pubDate>Mon, 16 Nov 2009 22:31:17 GMT</pubDate>
      <author>mkennetha</author>
      <guid>http://communities.vmware.com/message/1418567?tstart=0#1418567</guid>
      <dc:date>2009-11-16T22:31:17Z</dc:date>
      <clearspace:dateToText>5 days, 19 hours ago</clearspace:dateToText>
      <clearspace:replyCount>1</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/1289920?tstart=0#1289920</link>
      <description>Check if the Windows firewall is on.</description>
      <pubDate>Fri, 19 Jun 2009 23:10:59 GMT</pubDate>
      <author>etung</author>
      <guid>http://communities.vmware.com/message/1289920?tstart=0#1289920</guid>
      <dc:date>2009-06-19T23:10:59Z</dc:date>
      <clearspace:dateToText>5 months, 5 days ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/1289916?tstart=0#1289916</link>
      <description>&lt;br /&gt;
Hi,&lt;br /&gt;
&lt;p /&gt;
Wondering if you can help.  &lt;br /&gt;
&lt;p /&gt;
1. I need to connect two virtual interfaces on a single VM  back-to-back, similar to a crossover connection between two physical ports. &lt;br /&gt;
&lt;p /&gt;
2. I also have 802.1q running on 2 VMs but I am unable to ping between the VM vlans . The ethernet port on the switch that the MAC (apple)  connects to is a trunk port and the VM mac addresses show up in the mac-table on the switch in the relevant vlans. &lt;br /&gt;
&lt;p /&gt;
&lt;p /&gt;
&lt;p /&gt;
Any ideas?&lt;br /&gt;
&lt;p /&gt;
 Thanks.</description>
      <pubDate>Fri, 19 Jun 2009 23:02:38 GMT</pubDate>
      <author>nayatronix</author>
      <guid>http://communities.vmware.com/message/1289916?tstart=0#1289916</guid>
      <dc:date>2009-06-19T23:02:38Z</dc:date>
      <clearspace:dateToText>5 months, 5 days ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/1257605?tstart=0#1257605</link>
      <description>Hi Dave,&lt;br /&gt;
&lt;br /&gt;
I've installed VMware Fussion on Mac OS X, on the virtual machine I use Windows XP. I've also configured networking hot machine like VMware Fusion Network Setting - Part 1. Now I want to use host-only in Virtual Machine to connect between Mac and Windows.&lt;br /&gt;
&lt;p /&gt;
&lt;br /&gt;
In the Windows, an IP address is assigned automatically, and it also set IP Address like file ./vmnet1/dhcp,conf. However, from Mac cannot ping to Windows.&lt;br /&gt;
&lt;p /&gt;
&lt;br /&gt;
I don't know how to correct. Please help me&lt;br /&gt;
&lt;p /&gt;
&lt;br /&gt;
Lang</description>
      <pubDate>Wed, 20 May 2009 17:25:19 GMT</pubDate>
      <author>langtv</author>
      <guid>http://communities.vmware.com/message/1257605?tstart=0#1257605</guid>
      <dc:date>2009-05-20T17:25:19Z</dc:date>
      <clearspace:dateToText>6 months, 6 days ago</clearspace:dateToText>
      <clearspace:replyCount>1</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/967633?tstart=0#967633</link>
      <description>Thanks for the "Fusion network settings whitepaper" document.&lt;br /&gt;
&lt;br /&gt;
Regards,&lt;br /&gt;
&lt;br /&gt;
Silica V.</description>
      <pubDate>Tue, 10 Jun 2008 14:22:44 GMT</pubDate>
      <author>Silica V</author>
      <guid>http://communities.vmware.com/message/967633?tstart=0#967633</guid>
      <dc:date>2008-06-10T14:22:44Z</dc:date>
      <clearspace:dateToText>1 year, 5 months ago</clearspace:dateToText>
      <clearspace:replyCount>2</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/967582?tstart=0#967582</link>
      <description>Have a look at: &lt;a class="jive-link-wiki" href="http://communities.vmware.com/docs/DOC-1110"&gt;A Beginner's Guide to VMware Fusion&lt;/a&gt;</description>
      <pubDate>Tue, 10 Jun 2008 13:51:50 GMT</pubDate>
      <author>WoodyZ</author>
      <guid>http://communities.vmware.com/message/967582?tstart=0#967582</guid>
      <dc:date>2008-06-10T13:51:50Z</dc:date>
      <clearspace:dateToText>1 year, 5 months ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/967590?tstart=0#967590</link>
      <description>Sorry to be slow but where can I find the VMX files on the Mac?</description>
      <pubDate>Tue, 10 Jun 2008 13:49:58 GMT</pubDate>
      <author>allesmit</author>
      <guid>http://communities.vmware.com/message/967590?tstart=0#967590</guid>
      <dc:date>2008-06-10T13:49:58Z</dc:date>
      <clearspace:dateToText>1 year, 5 months ago</clearspace:dateToText>
      <clearspace:replyCount>1</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/928786?tstart=0#928786</link>
      <description>&lt;br /&gt;
Many thanks DaveP!   That solved my immediate problem with getting Windows running on the corporate lan (en1) while leaving my test VMs running on the lab lan (en0).  &lt;img class="jive-emoticon" border="0" src="http://communities.vmware.com/images/emoticons/happy.gif" alt=":)" /&gt;&lt;br /&gt;
&lt;p /&gt;
&lt;p /&gt;
&lt;p /&gt;
&lt;br /&gt;</description>
      <pubDate>Mon, 28 Apr 2008 20:23:54 GMT</pubDate>
      <author>whistl</author>
      <guid>http://communities.vmware.com/message/928786?tstart=0#928786</guid>
      <dc:date>2008-04-28T20:23:54Z</dc:date>
      <clearspace:dateToText>1 year, 6 months ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/799148?tstart=0#799148</link>
      <description>&lt;br /&gt;
All&lt;br /&gt;
&lt;p /&gt;
The scripts are no available in this thread &lt;a class="jive-link-external" href="http://communities.vmware.com/post!reply.jspa?threadID=108167"&gt;http://communities.vmware.com/post!reply.jspa?threadID=108167&lt;/a&gt;. &lt;br /&gt;
&lt;p /&gt;
Dave</description>
      <pubDate>Mon, 19 Nov 2007 20:58:54 GMT</pubDate>
      <author>DaveP</author>
      <guid>http://communities.vmware.com/message/799148?tstart=0#799148</guid>
      <dc:date>2007-11-19T20:58:54Z</dc:date>
      <clearspace:dateToText>2 years, 3 days ago</clearspace:dateToText>
      <clearspace:replyCount>1</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/790912?tstart=0#790912</link>
      <description>In addition to aetm's suggestions, you might try reinstalling Fusion - certain upgrade paths to Leopard result in the networking stack not working.</description>
      <pubDate>Fri, 09 Nov 2007 14:04:21 GMT</pubDate>
      <author>etung</author>
      <guid>http://communities.vmware.com/message/790912?tstart=0#790912</guid>
      <dc:date>2007-11-09T14:04:21Z</dc:date>
      <clearspace:dateToText>2 years, 2 weeks ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/790819?tstart=0#790819</link>
      <description>&lt;br /&gt;
How is the network set up for the virtual machine? Virtual Machine &amp;gt; Network &amp;gt; one of the options is selected: NAT, Bridged, Host-only, Disconnect ...&lt;br /&gt;
&lt;p /&gt;
If it's NAT or Bridged, it should work...&lt;br /&gt;
&lt;p /&gt;
 On your Windows V, start &amp;gt; run &amp;gt; type "cmd" for prompt (without the "") and you get command prompt, and in that (again without the "" in teh commands)&lt;br /&gt;
&lt;p /&gt;
"ipconfig" to get your network info. If the ip address is odd, "ipconfig /release" and then "ipconfig /renew" to get a new address. This usually gets the machine connect to the network. If that would still fail, what type of network connection have you set (above NAT, Bridged etc), and what kind of IP addresses do you get with ipconfig?</description>
      <pubDate>Fri, 09 Nov 2007 11:46:34 GMT</pubDate>
      <author>aetm</author>
      <guid>http://communities.vmware.com/message/790819?tstart=0#790819</guid>
      <dc:date>2007-11-09T11:46:34Z</dc:date>
      <clearspace:dateToText>2 years, 2 weeks ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/790731?tstart=0#790731</link>
      <description>&lt;br /&gt;
I am a relative novice at networking. My problem is this: under Tiger, Fusion with Windows XP Pro ran fine and I could access the internet. Now with Leopard, I cannot see the internet in Windows although it runs fine on the Mac side. Any suggestions?&lt;br /&gt;
&lt;p /&gt;
Hardware: Mac Pro 8 core, 9G RAM. I access the internet via Airport 802.11n, and my external access to the internet is via cable.&lt;br /&gt;
&lt;p /&gt;
 I would appreciate any advice or suggestion.&lt;br /&gt;
&lt;p /&gt;
 Thanks again!&lt;br /&gt;</description>
      <pubDate>Fri, 09 Nov 2007 08:09:51 GMT</pubDate>
      <author>DoctorDave</author>
      <guid>http://communities.vmware.com/message/790731?tstart=0#790731</guid>
      <dc:date>2007-11-09T08:09:51Z</dc:date>
      <clearspace:dateToText>2 years, 2 weeks ago</clearspace:dateToText>
      <clearspace:replyCount>2</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/789336?tstart=0#789336</link>
      <description>DaveP-&lt;br /&gt;
&lt;br /&gt;
I was having problems with getting my Host-Only network interface to work after installing 1.1rc under Leopard. (Running W2k3 Server and XP guests.)&lt;br /&gt;
&lt;br /&gt;
Following your Step 1 - Reset Fusion Settings solved my problem.&lt;br /&gt;
&lt;br /&gt;
Thanks!&lt;br /&gt;
&lt;br /&gt;
Ott</description>
      <pubDate>Wed, 07 Nov 2007 20:08:07 GMT</pubDate>
      <author>chrisott</author>
      <guid>http://communities.vmware.com/message/789336?tstart=0#789336</guid>
      <dc:date>2007-11-07T20:08:07Z</dc:date>
      <clearspace:dateToText>2 years, 2 weeks ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/785921?tstart=0#785921</link>
      <description>I had released them but have no found dependency in the way Fusion needs to have the networks defined. I will be re-releasing in a couple of days after 2 weeks of tryng to fathom out the porblem. The URL to watch is here: &lt;a class="jive-link-external" href="http://communities.vmware.com/message/773816"&gt;http://communities.vmware.com/message/773816&lt;/a&gt;</description>
      <pubDate>Sat, 03 Nov 2007 07:46:48 GMT</pubDate>
      <author>DaveP</author>
      <guid>http://communities.vmware.com/message/785921?tstart=0#785921</guid>
      <dc:date>2007-11-03T07:46:48Z</dc:date>
      <clearspace:dateToText>2 years, 2 weeks ago</clearspace:dateToText>
      <clearspace:replyCount>3</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/785858?tstart=0#785858</link>
      <description>Dave,&lt;br /&gt;
&lt;br /&gt;
I'm very happy to see that someone else has gone through the effort I was thinking I'd have to do myself. I would LOVE to try this out as I have a real need for product demos for my company's solutions to have multiple vmnet networks. Specifically, I need just about all of vmnet1-9, though any VM only needs 3-4 interfaces. So have you finalized the scripts and part 2 yet? I would be interested in testing.</description>
      <pubDate>Sat, 03 Nov 2007 01:59:24 GMT</pubDate>
      <author>HeraldMage</author>
      <guid>http://communities.vmware.com/message/785858?tstart=0#785858</guid>
      <dc:date>2007-11-03T01:59:24Z</dc:date>
      <clearspace:dateToText>2 years, 2 weeks ago</clearspace:dateToText>
      <clearspace:replyCount>4</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/784378?tstart=0#784378</link>
      <description>Only within certain limits see here &lt;a class="jive-link-external" href="http://pubs.vmware.com/ws6_ace2/ws/ws_net_advanced_mac_address.html"&gt;http://pubs.vmware.com/ws6_ace2/ws/ws_net_advanced_mac_address.html&lt;/a&gt; and other Workstation forum posts.</description>
      <pubDate>Thu, 01 Nov 2007 15:29:09 GMT</pubDate>
      <author>DaveP</author>
      <guid>http://communities.vmware.com/message/784378?tstart=0#784378</guid>
      <dc:date>2007-11-01T15:29:09Z</dc:date>
      <clearspace:dateToText>2 years, 3 weeks ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/784011?tstart=0#784011</link>
      <description>Is there a way to modify the physical/MAC address for a guests network?&lt;br /&gt;
&lt;p /&gt;
-urgh .. answered my own question seconds after I asked it. My vmx file</description>
      <pubDate>Thu, 01 Nov 2007 01:46:41 GMT</pubDate>
      <author>dracobyte</author>
      <guid>http://communities.vmware.com/message/784011?tstart=0#784011</guid>
      <dc:date>2007-11-01T01:46:41Z</dc:date>
      <clearspace:dateToText>2 years, 3 weeks ago</clearspace:dateToText>
      <clearspace:replyCount>1</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/762865?tstart=0#762865</link>
      <description>&lt;br /&gt;
To all who had asked about Part 2, it is on its way! Well actually I have written scripts that will allow modification of all the network settings for Fusion. If you are aware of the Linux Workstation way of doing things then this works the same way. I am going to have a small group of testers try it out, and then publish, hopefully next week. I would like to thank Pat Lee and VMware for allwoing me to re-distribute some VMware code with this.&lt;br /&gt;
&lt;p /&gt;
&lt;p /&gt;
&lt;p /&gt;
Dave</description>
      <pubDate>Wed, 03 Oct 2007 07:35:01 GMT</pubDate>
      <author>DaveP</author>
      <guid>http://communities.vmware.com/message/762865?tstart=0#762865</guid>
      <dc:date>2007-10-03T07:35:01Z</dc:date>
      <clearspace:dateToText>2 years, 1 month ago</clearspace:dateToText>
      <clearspace:replyCount>7</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/755155?tstart=0#755155</link>
      <description>Glad it worked for you. I am waiting for VMware to check something out for me. Once that is done I will post test scripts.</description>
      <pubDate>Thu, 20 Sep 2007 07:29:50 GMT</pubDate>
      <author>DaveP</author>
      <guid>http://communities.vmware.com/message/755155?tstart=0#755155</guid>
      <dc:date>2007-09-20T07:29:50Z</dc:date>
      <clearspace:dateToText>2 years, 2 months ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/754765?tstart=0#754765</link>
      <description>Thank you SO much for your work on this Dave.&lt;br /&gt;
&lt;br /&gt;
I needed to setup two separate bridges vmnets on two NICS and had got as far as tweaking the boot.sh mostly the way you had. I had forgotten the vmx file for the actual host. You porvided the missing piece for me. &lt;br /&gt;
&lt;br /&gt;
Now I have the first NIC, en0, set to handle the host-only, NAT, and bridge for that portion, and the second NIC en1, set to handle bridging on the other NIC which is statically set and wired to a different subnet.&lt;br /&gt;
&lt;br /&gt;
If you need help testing, I can assist.</description>
      <pubDate>Wed, 19 Sep 2007 20:35:27 GMT</pubDate>
      <author>darkwillow98</author>
      <guid>http://communities.vmware.com/message/754765?tstart=0#754765</guid>
      <dc:date>2007-09-19T20:35:27Z</dc:date>
      <clearspace:dateToText>2 years, 2 months ago</clearspace:dateToText>
      <clearspace:replyCount>1</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/753509?tstart=0#753509</link>
      <description>&lt;div class="jive-quote"&gt;together. Out of interest how many virtual interfaces&lt;br /&gt;
do you need and of what sort?&lt;/div&gt;
&lt;br /&gt;
At first blush, optimal will be: two bridged adapters (ex. one to en0, other to en1 or ppp0) and a single host-only adapter, through which my Host OS will then NAT back through the VM, which will be aggregating and pseudo-load-balancing between the two distinct network connections. Make any sense? &lt;img class="jive-emoticon" border="0" src="http://communities.vmware.com/images/emoticons/wink.gif" alt=";-)" /&gt; The overhead of host/guest/network configuration convolution may outweigh the benefits, but I can't know until I try...&lt;br /&gt;
&lt;br /&gt;
This is still as-of-yet completely untested, though I have no reason to believe the configuration can't work, even if it requires minor manual tweaks prior to each boot...&lt;br /&gt;
&lt;p /&gt;
&lt;div class="jive-quote"&gt;Thanks for offering to help.&lt;br /&gt;
&lt;p /&gt;
Dave&lt;/div&gt;
&lt;br /&gt;
Happy to help, and thanks for your contributions thus far!&lt;br /&gt;
&lt;br /&gt;
-Taylor</description>
      <pubDate>Tue, 18 Sep 2007 18:27:13 GMT</pubDate>
      <author>taylorbanks</author>
      <guid>http://communities.vmware.com/message/753509?tstart=0#753509</guid>
      <dc:date>2007-09-18T18:27:13Z</dc:date>
      <clearspace:dateToText>2 years, 2 months ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/753450?tstart=0#753450</link>
      <description>I just finished the Bash script and seems to be working on my Mac. I have a deadline this week for work, so will be next week when release, also so I have some time to put some preliminary documentation together. Out of interest how many virtual interfaces do you need and of what sort?&lt;br /&gt;
&lt;br /&gt;
Thanks for offering to help.&lt;br /&gt;
&lt;br /&gt;
Dave</description>
      <pubDate>Tue, 18 Sep 2007 17:26:01 GMT</pubDate>
      <author>DaveP</author>
      <guid>http://communities.vmware.com/message/753450?tstart=0#753450</guid>
      <dc:date>2007-09-18T17:26:01Z</dc:date>
      <clearspace:dateToText>2 years, 2 months ago</clearspace:dateToText>
      <clearspace:replyCount>1</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/753426?tstart=0#753426</link>
      <description>Dave,&lt;br /&gt;
&lt;br /&gt;
I'm very interested in testing and using the scripts you've updated and/or put together for Fusion network adapter management, as I have some specific needs for a couple of moderately complex networked VMs. (Most specifically, I'm working on a tiny NAT firewall VM that will allow the aggregation of multiple outbound Internet connections, ala Wifi+EV-DO or Wired+Wifi). Your whitepaper is great, and has gotten me started down the path, though having network management scripts akin to the Linux scripts would be delightful. I'll PM you with my contact details, and look forward to assisting with your testing.&lt;br /&gt;
&lt;br /&gt;
Cheers,&lt;br /&gt;
-Taylor</description>
      <pubDate>Tue, 18 Sep 2007 17:06:06 GMT</pubDate>
      <author>taylorbanks</author>
      <guid>http://communities.vmware.com/message/753426?tstart=0#753426</guid>
      <dc:date>2007-09-18T17:06:06Z</dc:date>
      <clearspace:dateToText>2 years, 2 months ago</clearspace:dateToText>
      <clearspace:replyCount>2</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/751541?tstart=0#751541</link>
      <description>quick update. I now have a modified vmware-config-net.pl script that adds back the same capabilities as in the Linux version of the script. For example, add/remove  networks, change bridged, IP addresses etc. This seems to work well, but I now need to modify the boot.sh script that actually is used to start up and run the various parts of the virtual network. &lt;br /&gt;
&lt;br /&gt;
Sorry it is taking longer than expected but work has been pretty busy recently, and I have a major release of software to deliver for Business Objects, and RTM is next Friday.&lt;br /&gt;
&lt;br /&gt;
If anyone is prepared to test then please let me know.&lt;br /&gt;
&lt;br /&gt;
Dave</description>
      <pubDate>Sun, 16 Sep 2007 18:18:46 GMT</pubDate>
      <author>DaveP</author>
      <guid>http://communities.vmware.com/message/751541?tstart=0#751541</guid>
      <dc:date>2007-09-16T18:18:46Z</dc:date>
      <clearspace:dateToText>2 years, 2 months ago</clearspace:dateToText>
      <clearspace:replyCount>3</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/748135?tstart=0#748135</link>
      <description>I also have a web site which I am going to be updating with this information. I don't mind you using it but would appreciate that it is correctly attributed to my paper which is copyrighted. If you want to discuss more then either PM or email me,&lt;br /&gt;
&lt;br /&gt;
Cheers&lt;br /&gt;
&lt;br /&gt;
Dave</description>
      <pubDate>Wed, 12 Sep 2007 07:56:53 GMT</pubDate>
      <author>DaveP</author>
      <guid>http://communities.vmware.com/message/748135?tstart=0#748135</guid>
      <dc:date>2007-09-12T07:56:53Z</dc:date>
      <clearspace:dateToText>2 years, 2 months ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/748133?tstart=0#748133</link>
      <description>Hi&lt;br /&gt;
&lt;br /&gt;
Give me a couple of days and I'll PM you with them. I haven't quite finished the Bash script for starting the services. There is nodocumentation on this, that was what I was writing as well.&lt;br /&gt;
&lt;br /&gt;
Dave</description>
      <pubDate>Wed, 12 Sep 2007 07:55:12 GMT</pubDate>
      <author>DaveP</author>
      <guid>http://communities.vmware.com/message/748133?tstart=0#748133</guid>
      <dc:date>2007-09-12T07:55:12Z</dc:date>
      <clearspace:dateToText>2 years, 2 months ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/747880?tstart=0#747880</link>
      <description>Dave, I think your whitepaper is fantastic, and I'm working on a wiki page with some information on various tweaks and tips and whatnot for Fusion.&lt;br /&gt;
&lt;br /&gt;
I don't want to take your work verbatim, but I'd like to know if I can base some of what I'm writing on your observations and your white-paper (although I'll probably end up dummying it up a bit so that there isn't as much technical stuff... more of a "howto" than a full understanding type thing).&lt;br /&gt;
&lt;br /&gt;
Would you mind terribly if I did so?  I've already got some tips on there about xorg.conf and modprobe.conf settings, so I've been concentrating so far on the Linux guests, but I'd like to flesh out the page to cover as many troubleshooting/tweaking tips as possible.</description>
      <pubDate>Tue, 11 Sep 2007 22:06:24 GMT</pubDate>
      <author>vdanen</author>
      <guid>http://communities.vmware.com/message/747880?tstart=0#747880</guid>
      <dc:date>2007-09-11T22:06:24Z</dc:date>
      <clearspace:dateToText>2 years, 2 months ago</clearspace:dateToText>
      <clearspace:replyCount>1</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/747720?tstart=0#747720</link>
      <description>Thank you for the reply!&lt;br /&gt;
&lt;br /&gt;
if you can provide those scripts, I would greatly appreciate it...  Otherwise, if you can point me to the right documentation to discuss how to do this manually - I would also appreciate it!&lt;br /&gt;
&lt;br /&gt;
I have not been able to find this in the Fusion or the Workstation documentation...  &lt;img class="jive-emoticon" border="0" src="http://communities.vmware.com/images/emoticons/sad.gif" alt=":(" /&gt;&lt;br /&gt;
&lt;br /&gt;
Thanks!&lt;br /&gt;
&lt;br /&gt;
-A</description>
      <pubDate>Tue, 11 Sep 2007 18:57:41 GMT</pubDate>
      <author>QuiLoxx</author>
      <guid>http://communities.vmware.com/message/747720?tstart=0#747720</guid>
      <dc:date>2007-09-11T18:57:41Z</dc:date>
      <clearspace:dateToText>2 years, 2 months ago</clearspace:dateToText>
      <clearspace:replyCount>1</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/745950?tstart=0#745950</link>
      <description>I have a modified set of scripts which should do what you want. However, I want to check with VMware that they are happy for me to release them, as it uses parts of the VMware Workstation 6 Linux scripts.  Using these scripts you can add or remove bridged, host and NAT adapters. Also I haven't written much on how to use them yet, which I would like to get done before releasing them.</description>
      <pubDate>Sun, 09 Sep 2007 12:42:08 GMT</pubDate>
      <author>DaveP</author>
      <guid>http://communities.vmware.com/message/745950?tstart=0#745950</guid>
      <dc:date>2007-09-09T12:42:08Z</dc:date>
      <clearspace:dateToText>2 years, 2 months ago</clearspace:dateToText>
      <clearspace:replyCount>2</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/745795?tstart=0#745795</link>
      <description>If you come up with how to create another NAT interface - please post that as well...  &lt;br /&gt;
&lt;br /&gt;
What I really need - is another virtual network - like VMNet8 where my MAC can communicate with 2 VMs, and both VMs can communicate with each other as well.  Getting out to the rest of the world is a secondary concern - so NAT is not truly required.&lt;br /&gt;
&lt;br /&gt;
Thanks for posting all that you have!&lt;br /&gt;
&lt;br /&gt;
-Aaron</description>
      <pubDate>Sat, 08 Sep 2007 20:46:51 GMT</pubDate>
      <author>QuiLoxx</author>
      <guid>http://communities.vmware.com/message/745795?tstart=0#745795</guid>
      <dc:date>2007-09-08T20:46:51Z</dc:date>
      <clearspace:dateToText>2 years, 2 months ago</clearspace:dateToText>
      <clearspace:replyCount>3</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/735219?tstart=0#735219</link>
      <description>Here's the first quick update on adding a new bridged adapter and configuring the VMX file. Assumes that you have en0 and en1 adapters and that we will be using vmnet2 for 2nd bridged adapter. Please note if you are not comfortable editing bash scripts then best leave well alone. Please read the whitepaper first so you know where the files are located.&lt;br /&gt;
&lt;br /&gt;
1. Edit boot.sh to add the following lines into the main procedure. Goto line 591 which should look like this:&lt;br /&gt;
&lt;br /&gt;
[code]&lt;br /&gt;
   # vmnet-bridge puts itself in background (daemon mode)&lt;br /&gt;
   # Bridge to host network interface 'en0'.&lt;br /&gt;
   #"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 en0&lt;br /&gt;
   # Bridge to the primary host network interface (which can change over time).&lt;br /&gt;
   "$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 ''&lt;br /&gt;
   ;;&lt;br /&gt;
&lt;br /&gt;
   --stop)&lt;br /&gt;
   logger -s -t "VMware Fusion 51348" "Shutting down VMware Fusion: "&lt;br /&gt;
&lt;br /&gt;
   # First attempt to synchronously kill the daemons this script had launched.&lt;br /&gt;
   vmware_stop_pidfile /var/run/vmnet-bridge-vmnet0.pid || true&lt;br /&gt;
   vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet1.pid || true&lt;br /&gt;
   vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet8.pid || true&lt;br /&gt;
   vmware_stop_pidfile /var/run/vmnet-natd-vmnet8.pid || true&lt;br /&gt;
   vmware_stop_pidfile /var/run/vmnet-netif-vmnet1.pid || true&lt;br /&gt;
   vmware_stop_pidfile /var/run/vmnet-netif-vmnet8.pid || true&lt;br /&gt;
[/code]&lt;br /&gt;
You need to comment out line 595 and then add the lines shown below so that it matches the second code block.&lt;br /&gt;
&lt;br /&gt;
[code]&lt;br /&gt;
   # vmnet-bridge puts itself in background (daemon mode)&lt;br /&gt;
   # Bridge to host network interface 'en0'.&lt;br /&gt;
   #"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 en0&lt;br /&gt;
   # Bridge to the primary host network interface (which can change over time).&lt;br /&gt;
   #"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 ''&lt;br /&gt;
   "$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 en0&lt;br /&gt;
   "$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet2.pid vmnet2 en1&lt;br /&gt;
   ;;&lt;br /&gt;
&lt;br /&gt;
   --stop)&lt;br /&gt;
   logger -s -t "VMware Fusion 51348" "Shutting down VMware Fusion: "&lt;br /&gt;
&lt;br /&gt;
   # First attempt to synchronously kill the daemons this script had launched.&lt;br /&gt;
   vmware_stop_pidfile /var/run/vmnet-bridge-vmnet0.pid || true&lt;br /&gt;
   vmware_stop_pidfile /var/run/vmnet-bridge-vmnet2.pid || true&lt;br /&gt;
   vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet1.pid || true&lt;br /&gt;
   vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet8.pid || true&lt;br /&gt;
   vmware_stop_pidfile /var/run/vmnet-natd-vmnet8.pid || true&lt;br /&gt;
   vmware_stop_pidfile /var/run/vmnet-netif-vmnet1.pid || true&lt;br /&gt;
   vmware_stop_pidfile /var/run/vmnet-netif-vmnet8.pid || true&lt;br /&gt;
[/code]&lt;br /&gt;
The difference is shown in the diff patch below:&lt;br /&gt;
&lt;br /&gt;
[code]--- boot.sh.bk!	2007-08-27 18:51:41.000000000 +0100&lt;br /&gt;
+++ boot.sh	2007-08-28 14:40:47.000000000 +0100&lt;br /&gt;
@@ -592,7 +592,9 @@ case "$1" in&lt;br /&gt;
    # Bridge to host network interface 'en0'.&lt;br /&gt;
    #"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 en0&lt;br /&gt;
    # Bridge to the primary host network interface (which can change over time).&lt;br /&gt;
-   "$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 ''&lt;br /&gt;
+   #"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 ''&lt;br /&gt;
+   "$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 en0&lt;br /&gt;
+   "$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet2.pid vmnet2 en2  &lt;br /&gt;
    ;;&lt;br /&gt;
&lt;p /&gt;
    --stop)&lt;br /&gt;
@@ -600,6 +602,7 @@ case "$1" in&lt;br /&gt;
&lt;p /&gt;
    # First attempt to synchronously kill the daemons this script had launched.&lt;br /&gt;
    vmware_stop_pidfile /var/run/vmnet-bridge-vmnet0.pid || true&lt;br /&gt;
+   vmware_stop_pidfile /var/run/vmnet-bridge-vmnet2.pid || true&lt;br /&gt;
    vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet1.pid || true&lt;br /&gt;
    vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet8.pid || true&lt;br /&gt;
    vmware_stop_pidfile /var/run/vmnet-natd-vmnet8.pid || true&lt;br /&gt;
&lt;br /&gt;
[/code]&lt;br /&gt;
2. Restart Fusion daemons with:&lt;br /&gt;
[code]boot.sh --restart[/code]&lt;br /&gt;
3. Modify your VMX file for the guest you want to use. In my example it is a Windows XP guest with ethernet0--&amp;gt;bridged vmnet0 and ethernet1--&amp;gt;bridged vmnet2. Edit the VMX file, after showing package contents on vmwarevm package.&lt;br /&gt;
&lt;br /&gt;
[code]&lt;br /&gt;
ethernet0.connectionType = "bridged"&lt;br /&gt;
ethernet0.present = "TRUE"&lt;br /&gt;
ethernet0.wakeOnPcktRcv = "FALSE"&lt;br /&gt;
ethernet1.connectionType = "custom"&lt;br /&gt;
ethernet1.present = "TRUE"&lt;br /&gt;
ethernet1.vnet = "vmnet2"&lt;br /&gt;
ethernet1.wakeOnPcktRcv = "FALSE"&lt;br /&gt;
[/code]&lt;br /&gt;
Power on and hopefully you should have 2 bridged network adapters. Here's my output from guest:&lt;br /&gt;
&lt;br /&gt;
[code]&lt;br /&gt;
Ethernet adapter Local Area Connection:&lt;br /&gt;
&lt;br /&gt;
        Connection-specific DNS Suffix  . :&lt;br /&gt;
        Description . . . . . . . . . . . : VMware Accelerated AMD PCNet Adapter&lt;br /&gt;
&lt;br /&gt;
        Physical Address. . . . . . . . . : 00-0C-29-BA-EC-BB&lt;br /&gt;
        Dhcp Enabled. . . . . . . . . . . : Yes&lt;br /&gt;
        Autoconfiguration Enabled . . . . : Yes&lt;br /&gt;
        IP Address. . . . . . . . . . . . : 10.101.0.102&lt;br /&gt;
        Subnet Mask . . . . . . . . . . . : 255.255.0.0&lt;br /&gt;
        Default Gateway . . . . . . . . . : 10.101.0.1&lt;br /&gt;
        DHCP Server . . . . . . . . . . . : 10.101.0.2&lt;br /&gt;
        DNS Servers . . . . . . . . . . . : 158.43.240.4&lt;br /&gt;
                                            158.43.240.3&lt;br /&gt;
        Lease Obtained. . . . . . . . . . : Tuesday, August 28, 2007 8:38:26 AM&lt;br /&gt;
        Lease Expires . . . . . . . . . . : Friday, August 31, 2007 8:38:26 AM&lt;br /&gt;
&lt;br /&gt;
Ethernet adapter Local Area Connection 2:&lt;br /&gt;
&lt;br /&gt;
        Connection-specific DNS Suffix  . :&lt;br /&gt;
        Description . . . . . . . . . . . : VMware Accelerated AMD PCNet Adapter&lt;br /&gt;
&lt;br /&gt;
        Physical Address. . . . . . . . . : 00-0C-29-BA-EC-C5&lt;br /&gt;
        Dhcp Enabled. . . . . . . . . . . : Yes&lt;br /&gt;
        Autoconfiguration Enabled . . . . : Yes&lt;br /&gt;
        IP Address. . . . . . . . . . . . : 10.101.0.103&lt;br /&gt;
        Subnet Mask . . . . . . . . . . . : 255.255.0.0&lt;br /&gt;
        Default Gateway . . . . . . . . . : 10.101.0.1&lt;br /&gt;
        DHCP Server . . . . . . . . . . . : 10.101.0.2&lt;br /&gt;
        DNS Servers . . . . . . . . . . . : 158.43.240.4&lt;br /&gt;
                                            158.43.240.3&lt;br /&gt;
        Lease Obtained. . . . . . . . . . : Tuesday, August 28, 2007 8:38:26 AM&lt;br /&gt;
        Lease Expires . . . . . . . . . . : Friday, August 31, 2007 8:38:26 AM&lt;br /&gt;
[/code]&lt;br /&gt;
I will be working on other scenarios and of course updating the paper with this.&lt;br /&gt;
&lt;br /&gt;
Cheers&lt;br /&gt;
&lt;br /&gt;
Dave</description>
      <pubDate>Tue, 28 Aug 2007 08:15:58 GMT</pubDate>
      <author>DaveP</author>
      <guid>http://communities.vmware.com/message/735219?tstart=0#735219</guid>
      <dc:date>2007-08-28T08:15:58Z</dc:date>
      <clearspace:dateToText>2 years, 2 months ago</clearspace:dateToText>
      <clearspace:replyCount>7</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/729793?tstart=0#729793</link>
      <description>DaveP -- great work, please send anything you can on configuring additional virtual adapters to Fusion ASAP!</description>
      <pubDate>Tue, 21 Aug 2007 19:25:50 GMT</pubDate>
      <author>HogHerder</author>
      <guid>http://communities.vmware.com/message/729793?tstart=0#729793</guid>
      <dc:date>2007-08-21T19:25:50Z</dc:date>
      <clearspace:dateToText>2 years, 3 months ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/729332?tstart=0#729332</link>
      <description>Dave,&lt;br /&gt;
&lt;br /&gt;
Thanks for this - got me out of a hole (in more ways than one).&lt;br /&gt;
&lt;br /&gt;
Jason</description>
      <pubDate>Tue, 21 Aug 2007 13:05:53 GMT</pubDate>
      <author>InactiveX</author>
      <guid>http://communities.vmware.com/message/729332?tstart=0#729332</guid>
      <dc:date>2007-08-21T13:05:53Z</dc:date>
      <clearspace:dateToText>2 years, 3 months ago</clearspace:dateToText>
      <clearspace:replyCount>1</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/728562?tstart=0#728562</link>
      <description>Thanks so much! Looking forward to it.</description>
      <pubDate>Mon, 20 Aug 2007 17:11:41 GMT</pubDate>
      <author>matthite</author>
      <guid>http://communities.vmware.com/message/728562?tstart=0#728562</guid>
      <dc:date>2007-08-20T17:11:41Z</dc:date>
      <clearspace:dateToText>2 years, 3 months ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/728478?tstart=0#728478</link>
      <description>Thanks for the feedback. I will be starting on the next part, adding additional adapters, this week.</description>
      <pubDate>Mon, 20 Aug 2007 16:21:08 GMT</pubDate>
      <author>DaveP</author>
      <guid>http://communities.vmware.com/message/728478?tstart=0#728478</guid>
      <dc:date>2007-08-20T16:21:08Z</dc:date>
      <clearspace:dateToText>2 years, 3 months ago</clearspace:dateToText>
      <clearspace:replyCount>1</clearspace:replyCount>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/721926?tstart=0#721926</link>
      <description>Works on the 1.0 release. Thanks a lot for capturing this information!&lt;br /&gt;
&lt;br /&gt;
Looking forward to any tips on adding more host-only vmnets.&lt;br /&gt;
&lt;br /&gt;
Dan</description>
      <pubDate>Mon, 13 Aug 2007 04:30:21 GMT</pubDate>
      <author>dan0016cb</author>
      <guid>http://communities.vmware.com/message/721926?tstart=0#721926</guid>
      <dc:date>2007-08-13T04:30:21Z</dc:date>
      <clearspace:dateToText>2 years, 3 months ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/721748?tstart=0#721748</link>
      <description>This is great, Dave. I really appreciate it. I am looking forward to part 2! If you have any information on how to configure custom networks for networks other than vmnet1 and vmnet8, please do share.&lt;br /&gt;
&lt;br /&gt;
Thanks!&lt;br /&gt;
&lt;br /&gt;
-M</description>
      <pubDate>Sun, 12 Aug 2007 18:55:42 GMT</pubDate>
      <author>matthite</author>
      <guid>http://communities.vmware.com/message/721748?tstart=0#721748</guid>
      <dc:date>2007-08-12T18:55:42Z</dc:date>
      <clearspace:dateToText>2 years, 3 months ago</clearspace:dateToText>
    </item>
    <item>
      <title>Re: How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/718987?tstart=0#718987</link>
      <description>Dave,&lt;br /&gt;
&lt;br /&gt;
Thanks for your hard work, this looks great.&lt;br /&gt;
&lt;br /&gt;
Pat</description>
      <pubDate>Thu, 09 Aug 2007 12:39:08 GMT</pubDate>
      <author>Pat Lee</author>
      <guid>http://communities.vmware.com/message/718987?tstart=0#718987</guid>
      <dc:date>2007-08-09T12:39:08Z</dc:date>
      <clearspace:dateToText>2 years, 3 months ago</clearspace:dateToText>
    </item>
    <item>
      <title>How to modify Fusion network settings whitepaper</title>
      <link>http://communities.vmware.com/message/718890?tstart=0#718890</link>
      <description>Like others in this forum, I need specific settings for the virtual networks setup on Windows and Linux version of VMware products. In Fusion the simplified installation and configuration means that rather than using the tools in the other versions of VMware, we need to take a different approach for now. Attached is a paper on changing IP address ranges for Fusion. &lt;br /&gt;
&lt;br /&gt;
I will be working on other papers, and possibly new scripts to manage this, but for now I thought it would be useful to post it. Feedback &amp;#38; comments on this thread or via forum messaging would be appreciated, although I will be on vacation next week, with no web access.&lt;br /&gt;
&lt;br /&gt;
Dave</description>
      <pubDate>Thu, 09 Aug 2007 10:45:27 GMT</pubDate>
      <author>DaveP</author>
      <guid>http://communities.vmware.com/message/718890?tstart=0#718890</guid>
      <dc:date>2007-08-09T10:45:27Z</dc:date>
      <clearspace:dateToText>2 years, 3 months ago</clearspace:dateToText>
      <clearspace:replyCount>39</clearspace:replyCount>
    </item>
  </channel>
</rss>

